Jump to content

SEANT

Trusted Members
  • Content count

    2,016
  • Joined

  • Last visited

Community Reputation

10 Good

About SEANT

  • Rank
    Forum Senior
  • Birthday July 26

Personal Information

  • Real Name
    Sean Tessier
  • Location
    Rhode Island

My Work

  • Occupation
    Contractor
  • Discipline
    Architectural

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2016
  • First AutoCAD Version
    AutoCAD R11
  • Other Applications
    Rhino, MSOffice, VStudio
  1. Use some construction geometry - in this case a Section - then snap from Quad to Quad.STUB 1 SA1-SC7 45°_Sect.dwg
  2. SEANT

    Auto cad --> excel

    I, too, learned and did much of my early programming with Excel VBA. As I recall, The transition to AutoCAD did seem to present a conceptual/philosophical variance between the two APIs. It didn't take long, fortunately, to become familiar with the AutoCAD way of doing things. I don't perceive the discontinuity anymore, at least.
  3. SEANT

    Auto cad --> excel

    Given that Excel components play a big part in that example, also see this link: https://msdn.microsoft.com/en-us/vba/excel-vba/articles/object-model-excel-vba-reference
  4. SEANT

    Auto cad --> excel

    The VBA (ActiveX) Object Model used to be included with the AutoCAD Install. I haven't seen any sign of it for some time. This Russian website has what appears to be a direct copy of the documents that I remember: http://entercad.ru/acadauto.en/
  5. SEANT

    Auto cad --> excel

    It sounds like you're making progress. Keep asking questions and, if necessary, post the modifications you've made. The forum will respond with the necessary corrections.
  6. SEANT

    Auto cad --> excel

    Works okay with 2018. Is you project setup something like this?
  7. SEANT

    Auto cad --> excel

    I'm using AutoCAD 2016. Give me a moment and I'll try it on 2018 (the only other version I have).
  8. SEANT

    Auto cad --> excel

    It has been a long time since I fired up the ol' VBAIDE. I copy and pasted the code, and set the appropriate references (Microsoft Excel 16.0 Object Library) and the code seems to run fine. Is it possible that when you transferred the routine that some part of the code did not get copied along?
  9. SEANT

    Technical Drawing Question

    Pretty cool challenge. I won't post any direct spoilers, but I will say that the unrolled surface will look like this:
  10. http://www.cadtutor.net/forum/showthread.php?84032-UCS-troubles-please-help!!!-) https://forums.autodesk.com/t5/autocad-forum/help-origin-point-of-preset-orthographic-ucs-keeps-changing/m-p/7280067 https://forums.autodesk.com/t5/autocad-forum/reset-the-ucs-to-original/td-p/7651644 http://forums.augi.com/showthread.php?169867-How-to-lock-origin-but-have-UCS-adjust This situation is becoming more prevalent so I'm posting a fix here. Even though the problem is cropping up more often, I don't see this routine needing to be run more than once or twice in any CAD users career. In light of that, I'm not wasting time with bundling this as an addin - it shall remain simply as a NETLOAD to run DLL. For those nervous about pre-compiled code, see the source below. And, as you can see from the source, the simplicity of the code does not deserve the special treatment of Autodesk's Bundle system. The compiled code is compatible with AutoCAD 2016 - 2018, though it may run on versions prior. More than likely, the unzipped file will need to be UnBlocked before it will run: https://winaero.com/blog/how-to-unblock-files-downloaded-from-internet-in-windows-10/ More than likely, the DLL will need to be on the users system, preferably in the Support File Search Path. // (C) Copyright 2017 by Sean Tessier // using System; using Autodesk.AutoCAD.Runtime; using Autodesk.AutoCAD.ApplicationServices; using Autodesk.AutoCAD.DatabaseServices; using Autodesk.AutoCAD.Geometry; using Autodesk.AutoCAD.EditorInput; [assembly: CommandClass(typeof(STSC_ReAssociateViews.STSCCommands))] namespace STSC_ReAssociateViews { public class STSCCommands { [CommandMethod("STSCGroup", "ReAssociateViews", "RAV", CommandFlags.Modal)] public void OpInit() { Document doc = Application.DocumentManager.MdiActiveDocument; Database Db = doc.Database; using (Transaction acTrans = Db.TransactionManager.StartTransaction()) { Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.TopView); Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.BottomView); Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.FrontView); Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.BackView); Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.RightView); Db.SetWorldUcsBaseOrigin(new Point3d(), OrthographicView.LeftView); acTrans.Commit(); } } } } STSC_ReAssociateViews.zip
  11. SEANT

    3D Sweep help!

    This one I tried with an ArrayAlongPath/Loft methodology. Not perfect, but not too bad either. HR - Loft.dwg
  12. I used AutoCAD 2016 for the intersection - I'm not sure if AutoCAD 2010's Intersect command is compatible with Surfaces. And yes, I did reorient the UCS to create the fillets. Each individual path was then used to sweep a solid.
  13. This illustrates a step by step method to get the compound bend pipe run. I assumed the elbow radius to be 5 at all bends. 3d Pipe_bySteps.dwg
  14. Apparently some versions of AutoCAD will allow for the sweep. Perhaps they shouldn't, though. The sweep with the original polyline can't possibly happen with such a short transition. And even when AutoCAD allows the sweep, as in SLW210's drawing, the resultant solid has voids, not to mention serious fabrication issues.
×